## Methode com.sap.dbtech.powertoys.DBM.dbrootDBM

### Verwendung

Um eine Java-Anwendung mit dem DBM-Server einer bestimmten Softwareversion zu verbinden, verwenden Sie die Methode com.sap.dbtech.powertoys.DBM.dbrootDBM.

Verwenden Sie diese Methode nur dann, wenn Sie mit Ihrer Java-Anwendung eine neue Datenbankinstanz anlegen möchten.

Um andere DBM-Kommandos auszuführen, verwenden Sie die Methode com.sap.dbtech.powertoys.DBM.dbDBM, um die Verbindung zur Datenbankinstanz herzustellen.

### Voraussetzungen

· Sie haben als Betriebssystembenutzer Zugriff auf den Rechner, auf dem Sie die neue Datenbankinstanz anlegen.

· Auf Microsoft Windows benötigen Sie auf diesem Rechner außerdem Administrationsrechte und das Recht Log on as batch job.

### Funktionsumfang

public static DBM dbrootDBM(String database_computer, String dependent_path)

throws

com.sap.dbtech.rte.comm.RTEException

Parameter

Name | Beschreibung
database_computer | Name des Datenbankrechners, auf dem die Datenbankinstanz läuft Um die Verbindung zu einem DBM-Server auf dem lokalen Rechner herzustellen, geben Sie den Wert null an.
dependent_path | Pfad der Datenbanksoftware in der gewünschten Version Um die Verbindung zum DBM-Server mit der höchsten Softwareversion herzustellen, geben Sie den Wert null an. Um die Pfade und Versionen der auf Ihrem Rechner installierten Datenbanksoftware anzuzeigen, geben Sie auf der Kommandozeile folgendes Kommando ein: dbmcli db_enum

Ausnahmen

Klasse | Beschreibung
com.sap.dbtech.rte.comm.RTEException | siehe Fehlerbehandlung (Database Manager)

Siehe auch:

Database Manager-Java-Klassen